Consultar Ordem
curl --request GET \
--url https://api.example.com/api/v1/order/{id}import requests
url = "https://api.example.com/api/v1/order/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"order": {
"id": "<string>",
"paymentLinkId": "<string>",
"value": 123,
"status": "<string>",
"createdAt": "<string>",
"brcode": "<string>",
"qrCodeLink": "<string>",
"invoice": "<string>",
"link": "<string>"
},
"openNodeDetails": {
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"currency": "<string>",
"created_at": 123,
"fee": 123,
"notes": "<string>",
"address": "<string>",
"metadata": {},
"fiat_value": 123,
"amount": 123,
"description": "<string>",
"auto_settle": true,
"transactions": [
{}
]
}
}
}Binance
Consultar Ordem
Obtenha detalhes de uma ordem de pagamento
GET
/
api
/
v1
/
order
/
{id}
Consultar Ordem
Consultar detalhes da ordem
Este endpoint retorna informações detalhadas sobre uma ordem de pagamento específica usando seu ID de link de pagamento.Parâmetros de caminho
string
required
ID do link de pagamento ou identificador de pagamento
Exemplo de requisição
curl -X GET "https://server.cryptouse.com.br/api/v1/order/98e56f6d-b600-48d2-a251-8c7b206958b2" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer seu_token_aqui"
Resposta
string
Mensagem de sucesso
object
Show Propriedades
Show Propriedades
string
ID da ordem
string
Identificador único do link de pagamento
number
Valor do pagamento em BRL
string
Status da ordemValores possíveis:
PENDING, COMPLETED, CANCELLED, FAILED, REFUNDstring
Timestamp de criação da ordem
string
Código BR do PIX (apenas para ordens PIX)
string
URL do QR code (apenas para ordens Binance)
string
Fatura Lightning (apenas para ordens Lightning)
string
URL de pagamento para o usuário
object
Show Propriedades (apenas para ordens Lightning)
Show Propriedades (apenas para ordens Lightning)
boolean
Indica se a consulta ao OpenNode foi bem-sucedida
object
Show Dados do OpenNode
Show Dados do OpenNode
string
ID da fatura no OpenNode
string
Nome da fatura
string
Status da fatura no OpenNode
string
Moeda da fatura
number
Timestamp de criação da fatura
number
Taxa da fatura
string
Notas da fatura
string
Endereço da carteira
object
Metadados da fatura
number
Valor em fiat (BRL)
number
Valor em satoshis
string
Descrição da fatura
boolean
Indica se a fatura é liquidada automaticamente
array
Array de transações
Exemplo de resposta
{
"message": "Order retrieved successfully",
"order": {
"id": "688a5e459b11ce1a1a85e32a",
"paymentLinkId": "98e56f6d-b600-48d2-a251-8c7b206958b2",
"value": 5000,
"status": "PENDING",
"createdAt": "2025-07-30T18:02:45.965Z",
"invoice": "Inbc75800n1p5g5hj9pp58x8fx94hdc19zzpn3ecxc349mkje27v738a981ztczeqq2y0cmvsdquf9h8vmmfvdjjqsmj09c8gmm4wdjscqzysxqzjhsp54qv2q6at8hges7cvsjtzhqfucdjqelhe5e184a4a3hn14sdcy",
"link": "https://cryptouse.com.br/order/lightning/98e56f6d-b600-48d2-a251-8c7b206958b2"
},
"openNodeDetails": {
"success": true,
"data": {
"id": "fc1fb9a8-93c9-4a96-ba50-e9802e21bdbb",
"name": null,
"status": "unpaid",
"currency": "BRL",
"created_at": 1753898565,
"fee": 75,
"notes": "",
"address": "356w6JpBDS1YmnNxjmMcwhwAUxCZVJkLiQ",
"metadata": {},
"fiat_value": 5000,
"amount": 7580,
"description": "Invoice Cryptouse",
"auto_settle": false,
"transactions": []
}
}
}
{
"message": "Order retrieved successfully",
"order": {
"id": "688a60439b11ce1a1a85e450",
"paymentLinkId": "d3d7bafe-2040-4f74-bddb-34823c6edcae",
"value": 200,
"status": "PENDING",
"createdAt": "2025-07-30T18:11:15.1512",
"link": "https://cryptouse.com.br/order/d3d7bafe-2040-4f74-bddb-34823c6edcae"
}
}
{
"success": false,
"error": "Order not found"
}
Tipos de ordem
Este endpoint funciona para todos os tipos de ordem suportados:- Ordens PIX: Contém o campo
brcode - Ordens Binance: Contém o campo
qrCodeLink - Ordens Lightning: Contém o campo
invoiceeopenNodeDetails
Status da ordem
A consulta de status é útil para verificar se um pagamento foi recebido. Os possíveis status incluem:| Status | Descrição |
|---|---|
PENDING | A ordem foi criada e aguarda pagamento |
COMPLETED | O pagamento foi recebido e confirmado |
CANCELLED | A ordem foi cancelada |
FAILED | O pagamento falhou |
REFUND | O pagamento foi reembolsado |
Recomendações de uso
É recomendado consultar o status da ordem periodicamente quando:- Um usuário inicia um pagamento
- Você precisa verificar manualmente o status de uma ordem
- Após receber uma notificação de atualização de status
⌘I
